## org.apache.mahout.common.iterator
Class EmptyIterable<T>

    java.lang.Object
      org.apache.mahout.common.iterator.EmptyIterable<T>

All Implemented Interfaces:
  java.lang.Iterable<T>

    public final class EmptyIterable<T>

extends java.lang.Object
implements java.lang.Iterable<T>

An `Iterable` over no elements: always produces an `Iterator` which iterates over nothing.

Constructor Summary
`EmptyIterable()`

Method Summary
`java.util.Iterator<T>` `iterator()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EmptyIterable

    public EmptyIterable()

Method Detail

### iterator

    public java.util.Iterator<T> iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable<T>`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.